Skip to main content
PUT
Update basic information

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

personId
string<uuid>
required

The unique identifier for the person

Body

application/json

Update person basic info request payload

firstName
string
required

Person's first name

Example:

"John"

lastName
string
required

Person's last name

Example:

"Doe"

email
string
required

Person's email

phoneNumber
object

Person's phone number

metadata
object

Optional metadata you can store as key-value pairs

Example:

Response

Successful operation